<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<script>
    //1
    var names = ["alpha", "beta", "gamma", "delta"];
    var [first, second] = names;

    console.log(first);
    console.log(second);

    //2
    var [first, , third] = names;

    console.log(first);
    console.log(third);

    //3
    var [first, , third, fourth] = names;

    console.log(first);
    console.log(third);
    console.log(fourth);

    //4
    const marks = {
        section1: { alpha: 15, beta: 16 },
        section2: { alpha: -31, beta: 19 }
    };
    const {section1} = marks
    console.log(section1);

    //5
    const { section1: { alpha } } = marks;
    console.log(alpha);

    //6
    var marks6 = {x: 21, y: -34, z: 47 };
    var {x} = marks6;
    console.log(x);
</script>


</html>